随笔-167  评论-65  文章-0  trackbacks-0
it is simple ,to to like this:

1,sudo apt-get install imagemagick

2,sudo apt
-get install libmagick9-dev

3,sudo gem install rmagick

第一步和第二部没有问题,安装第三步出现error:

Building native extensions.  This could take a while...
ERROR:  Error installing rmagick:
  ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb install rmagick
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
  from extconf.rb:1:in `<main>'


google了下,解决了,是因为ruby中没有mkmf这个rb文件,安装上即可:

sudo apt-get install ruby1.8-dev


that's okay...



ref:

http://expressica.com/2007/07/04/how-to-install-rmagick-gem-on-linuxubuntu/#comment-787
http://mentalized.net/journal/2006/01/24/no_such_file_to_load_mkmf/
http://groups.google.com/group/ruby-talk-google/browse_thread/thread/c29f9e78ae99a4d9/953f758c9509153d?show_docid=953f758c9509153d







write by feng
posted on 2009-06-17 18:07 fl1429 阅读(1111) 评论(0)  编辑  收藏 所属分类: RailsUbuntu

只有注册用户登录后才能发表评论。


网站导航:
 
已访问数:
free counters